Page MenuHomePhabricator

skins/Blueprint - file permissions trigger debian lintian warnings
Closed, ResolvedPublic

Description

0) Context

DEB packages of mediawiki and many of its extensions, are prepared as part of the WP-MIRROR project.
See https://www.mediawiki.org/wiki/Wp-mirror.

  1. Lintian

During the build process, lintian performs a great number of sanity checks, including seeing if each file has file permissions appropriate to its file type.

When lintian sees a non-executable file with 755 permissions, rather than 644, lintian will throw a warning like:

W: wp-mirror-mediawiki: executable-not-elf-or-script usr/share/wp-mirror-mediawiki/skins/Blueprint/lib/bootstrap/bootstrap.min.css.

  1. Files which should have permissions set to 644

skins/Blueprint/lib/bootstrap/bootstrap.min.css
skins/Blueprint/lib/bootstrap/bootstrap.min.js
skins/Blueprint/src/BlueprintSkinTemplate.php
skins/Blueprint/src/SkinBlueprint.php
skins/Blueprint/templates/Skin.template

  1. Technical details

DEB standards version: 3.9.6
GIT branch: master

Details

Related Gerrit Patches:
mediawiki/skins/Blueprint : masterRemove Debian lintian warnings

Event Timeline

wpmirrordev assigned this task to werdna.
wpmirrordev raised the priority of this task from to Normal.
wpmirrordev updated the task description. (Show Details)
wpmirrordev added a subscriber: wpmirrordev.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 25 2015, 6:47 AM
Krenair removed werdna as the assignee of this task.Jun 27 2015, 9:02 PM
Krenair added subscribers: werdna, Krenair.

Change 222922 had a related patch set uploaded (by MidPhoto):
Remove debian lintian warnings

https://gerrit.wikimedia.org/r/222922

Change 222922 merged by jenkins-bot:
Remove Debian lintian warnings

https://gerrit.wikimedia.org/r/222922

I confirm that the above mentioned debian lintian warning is cured.
Thanks.

wpmirrordev closed this task as Resolved.Jul 31 2015, 9:55 PM
wpmirrordev claimed this task.
Volker_E moved this task from Backlog to Done on the Blueprint board.Nov 5 2015, 5:00 AM